%define libvers   2.3
%define binsuffix 2.3 
%define docroot   /var/www/html

%define __find    /usr/bin/find

Summary:            An interpreted, interactive, object-oriented programming language.
Name:               python%{binsuffix}
Version:            2.3.4
Release:            1ied00
Epoch:              0
Copyright:          Modified CNRI Open Source License
Group:              Development/Languages
URL:                http://www.python.org/
Packager:           Wei He <hewei@ied.org.cn>
Source:             http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.bz2
Source1:            http://www.python.org/ftp/python/doc/%{version}/html-%{version}.tar.bz2
Source6:            http://gigue.peabody.jhu.edu/~mdboom/omi/source/shm_source/shmmodule.c

Patch0: python-2.3.3-config.patch 
#Patch1: python-2.2b1-buildroot.patch
Patch3: Python-2.2.1-pydocnogui.patch
Patch4: python-2.3.3-nowhatsnew.patch
#Patch5: Python-2.2.1-distutilrpm.patch
#Patch7: Python-2.2.1-buildroot-bytecode.patch
Patch8: python-2.2.2-lib64.patch
#Patch10: python-2.2.2-urllib2-nonanonftp.patch
Patch11: python-2.2.2-ftpuri.patch
#Patch12: python-2.2.3-gnumo.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: readline-devel libtermcap-devel openssl-devel gmp-devel
BuildRequires: ncurses-devel gdbm-devel zlib-devel expat-devel tetex-latex
BuildRequires: Mesa-devel tk tix gcc-c++ XFree86-libs glibc-devel
BuildRequires: %{__find} pkgconfig sed
BuildRequires: libtcl8.3.so libtk8.3.so libdb-4.0.so
Provides: %{_bindir}/python%{binsuffix}

#---------------------------------------------------------------------
%description
Python is an interpreted, interactive, object-oriented programming
language.  It incorporates modules, exceptions, dynamic typing, very high
level dynamic data types, and classes. Python combines remarkable power
with very clear syntax. It has interfaces to many system calls and
libraries, as well as to various window systems, and is extensible in C or
C++. It is also usable as an extension language for applications that need
a programmable interface.  Finally, Python is portable: it runs on many
brands of UNIX, on PCs under Windows, MS-DOS, and OS/2, and on the
Mac.

#---------------------------------------------------------------------
%package devel
Summary: The libraries and header files needed for Python extension development.
Requires: %{name} = %{?epoch:%{epoch}:}%{version} 
Group: Development/Libraries

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

#---------------------------------------------------------------------
%package tkinter
Summary: A graphical user interface for the Python scripting language.
Group: Development/Languages
Requires: python%{binsuffix} = %{version}

%description tkinter
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install the tkinter package if you'd like to use a graphical
user interface for Python programming.

#---------------------------------------------------------------------
%package tools
Summary: A collection of development tools included with Python.
Group: Development/Tools
Requires: python%{binsuffix} = %{version}

%description tools
The Python package includes several development tools that are used
to build python programs.  This package contains a selection of those
tools, including the IDLE Python IDE.

Install python-tools if you want to use these tools to develop
Python programs.  You will also need to install the python and
tkinter packages.

#---------------------------------------------------------------------
%package docs
Summary: Python-related documentation.
Group: Development/Documentation

%description docs
Documentation relating to the Python programming language in HTML and info
formats.

#---------------------------------------------------------------------
%changelog
* Fri Jun 04 2004 Wei He <hewei@ied.org.cn> 2.3.4-1ied00
- updated to 2.3.4

* Thu Feb 26  2004 Wei He <hewei@ied.org.cn> 2.3.3-4ied00
- jpcodecs and cp936.py support has been removed to pass the job
  to a seperate python2.3-cjkcodecs package

* Mon Feb 23 2004 Wei He <hewei@ied.org.cn> 2.3.3-3ied01
- fixed interpreter path and permision mode of included python scripts
  to satisfy RedHat 8's find-provides
- spec file optimizatio packagen

* Fri Feb 20 2004 Wei He <hewei@ied.org.cn> 2.3.3-3ied00
- Force using db-4.0 in order to be buildable on RedHat 8 and 9
- Fixed the expression of some required packages to be buildable
  on RedHat 8 and 9

* Mon Feb  9 2004 Wei He <hewei@ied.org.cn> 2.3.3-2ied00
- Merging with 2.3.3 pydotorg package 
- Adding cp936.py and gb2312/gbk encoding
- Disabling patch 1 and 12 as they are already included
- Disabling patch 7 as it seems useless
- Disabling patch 5 as it causes compilation failure
- Force using db-4.0 to build the _bsddb module
- Fixing paths

* Wed Oct 15 2003 Jeremy Katz <katzj@redhat.com> 2.2.3-7
- use the simpler heuristic for finding the GNU .mo metadata
  from python 2.3 (#97796)

* Mon Aug 18 2003 Mihai Ibanescu <misa@redhat.com> 2.2.3-6
- lib-dynload files are not stripped (bug #97264)

* Fri Aug  8 2003 Mihai Ibanescu <misa@redhat.com> 2.2.3-5
- Added missing BuildRequires (bug #101950)

* Thu Jul  3 2003 Mihai Ibanescu <misa@redhat.com> 2.2.3-4
- Rebuilt against newer db4 packages (bug #98539)

* Mon Jun 9 2003 Elliot Lee <sopwith@redhat.com> 2.2.3-3
- rebuilt

* Wed Jun  7 2003 Mihai Ibanescu <misa@redhat.com> 2.2.3-2
- Rebuilt

* Tue Jun  6 2003 Mihai Ibanescu <misa@redhat.com> 2.2.3-1
- Upgraded to 2.2.3

* Wed Apr  2 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-28
- Rebuilt

* Wed Apr  2 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-27
- Modified the ftpuri patch conforming to http://ietf.org/rfc/rfc1738.txt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-25
- Fixed bug #84886: pydoc dies when run w/o arguments
- Fixed bug #84205: add python shm module back (used to be shipped with 1.5.2)
- Fixed bug #84966: path in byte-compiled code still wrong

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-23
- ftp uri's should be able to specify being rooted at the root instead of
  where you login via ftp (#84692)

* Mon Feb 10 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-22
- Using newer Japanese codecs (1.4.9). Thanks to
  Peter Bowen <pzb@datastacks.com> for pointing this out.

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-21
- Rebuild

* Wed Feb  5 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-20
- Release number bumped really high: turning on UCS4 (ABI compatibility
  breakage)

* Fri Jan 31 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-13
- Attempt to look both in /usr/lib64 and /usr/lib/python2.2/site-packages/:
  some work on python-2.2.2-lib64.patch

* Thu Jan 30 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-12
- Rebuild to incorporate the removal of .lib64 and - files.

* Thu Jan 30 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-11.7.3
- Fixed bug #82544: Errata removes most tools
- Fixed bug #82435: Python 2.2.2 errata breaks redhat-config-users
- Removed .lib64 and - files that get installed after we fix the multilib
  .py files.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Jens Petersen <petersen@redhat.com> 2.2.2-10
- rebuild to update tkinter's tcltk deps
- convert changelog to utf-8

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.2-9
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- pick up OpenSSL cflags and ldflags from pkgconfig if available

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-8
- urllib2 didn't support non-anonymous ftp.  add support based on how
  urllib did it (#80676, #78168)

* Mon Dec 16 2002 Mihai Ibanescu <misa@redhat.com> 2.2.2-7
- Fix bug #79647 (Rebuild of SRPM fails if python isn't installed)
- Added a bunch of missing BuildRequires found while fixing the
  above-mentioned bug

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 2.2.2-6
- rebuild to fix broken tcltk deps for tkinter

* Fri Nov 22 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-3.7.3
- Recompiled for 7.3 (to fix the -lcrypt bug)
- Fix for the spurious error message at the end of the build (build-requires
  gets confused by executable files starting with """"): make the tests
  non-executable.

* Wed Nov 20 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-5
- Fixed configuration patch to add -lcrypt when compiling cryptmodule.c

2.2.2-4
- Spec file change from Matt Wilson <msw@redhat.com> to disable linking
  with the C++ compiler.

* Mon Nov 11 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-3.*
- Merged patch from Karsten Hopp <karsten@redhat.de> from 2.2.1-17hammer to
  use %%{_libdir}
- Added XFree86-libs as BuildRequires (because of tkinter)
- Fixed duplicate listing of plat-linux2
- Fixed exclusion of lib-dynload/japanese
- Added lib64 patch for the japanese codecs
- Use setup magic instead of using tar directly on JapaneseCodecs

* Tue Nov  5 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-2
- Fix #76912 (python-tools contains idle, which uses tkinter, but there is no
  requirement of tkinter from python-tools).
- Fix #74013 (rpm is missing the /usr/lib/python2.2/test directory)

* Mon Nov  4 2002 Mihai Ibanescu <misa@redhat.com>
- builds as python2 require a different libdb
- changed the buildroot name of python to match python2 builds

* Fri Nov  1 2002 Mihai Ibanescu <misa@redhat.com>
- updated python to 2.2.2 and adjusted the patches accordingly

* Mon Oct 21 2002 Mihai Ibanescu <misa@redhat.com>
- Fix #53930 (Python-2.2.1-buildroot-bytecode.patch)
- Added BuildPrereq dependency on gcc-c++

* Fri Aug 30 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-17
- security fix for _execvpe

* Tue Aug 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-16
- Fix  #71011,#71134, #58157

* Wed Aug  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-15
- Resurrect tkinter
- Fix for distutils (#67671)
- Fix #69962

* Thu Jul 25 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-14
- Obsolete tkinter/tkinter2 (#69838)

* Tue Jul 23 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-13
- Doc fixes (#53951) - not on alpha at the momemt

* Mon Jul  8 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-12
- fix pydoc (#68082)

* Mon Jul  8 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-11
- Add db4-devel as a BuildPrereq

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.2.1-10
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-9
- Add Japanese codecs (#66352)

* Tue Jun 11 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-8
- No more tkinter...

* Wed May 29 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-7
- Rebuild

* Tue May 21 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-6
- Add the email subcomponent (#65301)

* Fri May 10 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-5
- Rebuild

* Thu May 02 2002 Than Ngo <than@redhat.com> 2.2.1-4
- rebuild i new enviroment

* Tue Apr 23 2002 Trond Eivind Glomsrød <teg@redhat.com>
- Use ucs2, not ucs4, to avoid breaking tkinter (#63965)

* Mon Apr 22 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-2
- Make it use db4

* Fri Apr 12 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2.1-1
- 2.2.1 - a bugfix-only release

* Fri Apr 12 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-16
- the same, but in builddirs - this will remove them from the
  docs package, which doesn't look in the buildroot for files.

* Fri Apr 12 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-15
- Get rid of temporary files and .cvsignores included
  in the tarball and make install

* Fri Apr  5 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-14
- Don't own lib-tk in main package, only in tkinter (#62753)

* Mon Mar 25 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-13
- rebuild

* Mon Mar 25 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-12
- rebuild

* Fri Mar  1 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-11
- Add a not to the Distutils obsoletes test (doh!)

* Fri Mar  1 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-10
- Rebuild

* Mon Feb 25 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-9
- Only obsolete Distutils when built as python

* Thu Feb 21 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-8
- Make files in /usr/bin install side by side with python 1.5 when
- Drop explicit requirement of db4
  built as python2

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 2.2-7
- Use version and pybasever macros to make updating easy
- Use _smp_mflags macro

* Tue Jan 29 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-6
- Add db4-devel to BuildPrereq

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 2.2-5
- disable ndbm support, which is db2 in disguise (really interesting things
  can happen when you mix db2 and db4 in a single application)

* Thu Jan 24 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-4
- Obsolete subpackages if necesarry
- provide versioned python2
- build with db4

* Wed Jan 16 2002 Trond Eivind Glomsrød <teg@redhat.com> 2.2-3
- Alpha toolchain broken. Disable build on alpha.
- New openssl

* Wed Dec 26 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-1
- 2.2 final

* Fri Dec 14 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.11c1
- 2.2 RC 1
- Don't include the _tkinter module in the main package - it's
  already in the tkiter packace
- Turn off the mpzmodule, something broke in the buildroot

* Wed Nov 28 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.10b2
- Use -fPIC for OPT as well, in lack of a proper libpython.so

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.9b2
- changed DESTDIR to point to / so that distutils will install dynload
  modules properly in the installroot

* Fri Nov 16 2001 Matt Wilson <msw@redhat.com> 2.2-0.8b2
- 2.2b2

* Fri Oct 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.7b1
- python2ify

* Fri Oct 19 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.5b1
- 2.2b1

* Sun Sep 30 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.4a4
- 2.2a4
- Enable UCS4 support
- Enable IPv6
- Provide distutils
- Include msgfmt.py and pygettext.py

* Fri Sep 14 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.3a3
- Obsolete Distutils, which is now part of the main package
- Obsolete python2

* Thu Sep 13 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.2a3
- Add docs, tools and tkinter subpackages, to match the 1.5 layout

* Wed Sep 12 2001 Trond Eivind Glomsrød <teg@redhat.com> 2.2-0.1a3
- 2.2a3
- don't build tix and blt extensions

* Mon Aug 13 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Add tk and tix to build dependencies

* Sat Jul 21 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 2.1.1 bugfix release - with a GPL compatible license

* Fri Jul 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Add new build dependencies (#49753)

* Tue Jun 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- build with -fPIC

* Fri Jun  1 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 2.1
- reorganization of file includes

* Wed Dec 20 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. L?)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.

#######
#  PREP
#######
%prep
%setup -q -n Python-%{version} -a 1

%patch0 -p0 -b .rhconfig
%patch3 -p1 -b .no_gui
%patch4 -p0
#%patch5 -p1
%if %{_lib} == lib64
%patch8 -p1 -b .lib64
#%patch9 -p0 -b .lib64-j
%endif
#%patch10 -p1 -b .nonanonftp
%patch11 -p1 -b .ftpuri

#cp %{SOURCE7} Lib/encodings
#%patch30 -p0

#
# shm module
#
%{__cp} %{SOURCE6} Modules
cat >> Modules/Setup.dist << EOF

# Shared memory module
shm shmmodule.c
EOF

#
# Fix test scripts mode, so that find-requires won't fail
#
%{__chmod} 644 Lib/test/*.py

#
# Fix the interpreter path of all python scripts
#
PATTERN='^#! *((/usr)?/bin/env +)?(/usr/(local/)?bin/)?python.*$'

%{__grep} -rlIE "$PATTERN" --exclude=*.tex --exclude=*.html . | while read script ; do
  %{__sed} -n -r -e "s:$PATTERN:#!\\1%{_bindir}/python%{binsuffix}:" -e "w $script.fixed" $script
  #
  # preserve original script mode by doing 'cp + rm' rather than just 'mv'
  #
  %{__cp} $script.fixed $script
  %{__rm} $script.fixed
done

#
# Fixes some scripts missing the interpreter path line
#
pushd Tools/scripts

for script in *.py ; do
   [ "$script" == "setup.py" ] && continue 
   if [ -z "`head -1 $script | grep '^#!'`" ] ; then
      %{__mv} $script $script.tmp
      echo '#!/usr/bin/env %{_bindir}/python%{binsuffix}' > $script
      cat $script.tmp >> $script
      %{__rm} $script.tmp
   fi
done
%{__grep} -l '^#!' *.py | xargs %{__chmod} 755

popd

########
#  BUILD
########
%build
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export OPT="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export LINKCC="gcc"
if pkg-config openssl ; then
    export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
    export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

%configure \
  --enable-unicode=ucs4 \
  --enable-pymalloc \
  --disable-ipv6

%{__make} OPT="$CFLAGS" %{?_smp_mflags}

##########
#  INSTALL
##########
%install
#  set the install path
#echo '[install_scripts]' >setup.cfg
#echo 'install_dir='"${RPM_BUILD_ROOT}%{_bindir}" >>setup.cfg

[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/python%{libvers}/lib-dynload

%makeinstall DESTDIR=/ MANDIR=$RPM_BUILD_ROOT%{_mandir} INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} LIBDIR=$RPM_BUILD_ROOT%{_libdir} SCRIPTDIR=$RPM_BUILD_ROOT%{_libdir} build_root=$RPM_BUILD_ROOT

#
# Remove Windows files
#
%{__find} $RPM_BUILD_ROOT%{_libdir} -name '*.exe' -o -name '*.bat' |
    xargs %{__rm} -f

#
#  add the binsuffix
#
pushd $RPM_BUILD_ROOT%{_bindir}
%{__rm} -f python[0-9a-zA-Z]*
%{__mv} -f python python%{binsuffix}

for prog in pydoc idle; do
   %{__sed} -r "s:^#! *(/usr/bin/python):#!\\1%{binsuffix}:" $prog > ${prog}%{binsuffix}
   %{__rm} $prog
done

#
# install man page
#
cd $RPM_BUILD_ROOT%{_mandir}/man1
%{__mv} python.1 python%{binsuffix}.1

popd


#
# install Japanese codecs
#
#pushd JapaneseCodecs-%{jp_codecs}
#PYTHONHOME=$RPM_BUILD_ROOT%{_prefix} $RPM_BUILD_ROOT%{_bindir}/python%{binsuffix} \
#setup.py install \
#--install-scripts=$RPM_BUILD_ROOT%{_bindir} \
#--install-purelib=$RPM_BUILD_ROOT%{_libdir}/python%{libvers}/site-packages \
#--install-platlib=$RPM_BUILD_ROOT%{_libdir}/python%{libvers}/lib-dynload \
#--install-data=$RPM_BUILD_ROOT%{_exec_prefix} \
#--root=/
#popd

#
# remove zero length files
#
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/python%{pybasever}/site-packages/modulator/Templates/copyright

#
# Clean up the testsuite - we don't need compiled files for it
#
%{__find} $RPM_BUILD_ROOT%{_libdir}/python%{binsuffix}/test \
    -name "*.pyc" -o -name "*.pyo" | xargs %{__rm} -f
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/python%{libvers}/LICENSE.txt

#
# create mainpkg.files
#
%{__rm} -f mainpkg.files

%{__find} $RPM_BUILD_ROOT%{_libdir}/python%{libvers}/*.py* |
    %{__sed} "s|^${RPM_BUILD_ROOT}||" > mainpkg.files


%{__find} $RPM_BUILD_ROOT%{_libdir}/python%{libvers}/* -type d -prune |
    %{__grep} -v -E -e '/(config|idlelib|lib-tk|lib-dynload)$' |
    %{__sed} "s|^${RPM_BUILD_ROOT}||" >>mainpkg.files

%{__find} $RPM_BUILD_ROOT%{_libdir}/python%{libvers}/lib-dynload -type f |
    %{__grep} -v -e '_tkinter.so$' |
    %{__sed} "s|^${RPM_BUILD_ROOT}||" >>mainpkg.files

%{__find} $RPM_BUILD_ROOT%{_bindir} -type f |
    %{__grep} -v -e '/bin/idle%{binsuffix}$' |
    %{__sed} "s|^${RPM_BUILD_ROOT}||" >>mainpkg.files

####### 
# Tools
#######
#
# wrap idle2.3
#
echo '#!/bin/bash' >${RPM_BUILD_ROOT}%{_bindir}/idle%{binsuffix}
echo 'exec %{_bindir}/python%{binsuffix} %{_libdir}/python%{libvers}/idlelib/idle.py' >>$RPM_BUILD_ROOT%{_bindir}/idle%{binsuffix}
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/idle%{binsuffix}

#%{__mv} Tools/modulator/README Tools/modulator/README.modulator
#%{__mv} Tools/pynche/README Tools/pynche/README.pynche

#gettext
#install -m755 Tools/i18n/pygettext.py $RPM_BUILD_ROOT%{_bindir}/pygettext%{binsuffix}.py
#install -m755 Tools/i18n/msgfmt.py $RPM_BUILD_ROOT%{_bindir}/msgfmt%{binsuffix}.py

#
# Make the libraries user-writeable, so that we can strip them
#
%{__find} $RPM_BUILD_ROOT%{_libdir}/python%{binsuffix}/lib-dynload -type f \
    -name "*.so" -exec %{__chmod} 755 {} \;

%{__cp} -a Tools $RPM_BUILD_ROOT%{_libdir}/python%{libvers}

######
# Docs
######
%{__mkdir_p} $RPM_BUILD_ROOT%{docroot}/python%{binsuffix}
%{__mv} Python-Docs-%{version}/* $RPM_BUILD_ROOT%{docroot}/python%{binsuffix}/

########
#  CLEAN
########
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -f mainpkg.files 

########
#  FILES
########
%files -f mainpkg.files
%defattr(-,root,root)
%doc Misc/README Misc/cheatsheet Misc/Porting
%doc LICENSE Misc/ACKS Misc/HISTORY Misc/NEWS
%doc %{_libdir}/python%{libvers}/*.doc
%{_mandir}/man1/python%{binsuffix}.1.gz

%dir %{_libdir}/python%{libvers}/
%dir %{_libdir}/python%{libvers}/lib-dynload


%files devel
%defattr(-,root,root)
%dir %{_includedir}/python%{libvers}
%{_includedir}/python%{libvers}/*.h
%{_libdir}/python%{libvers}/config

%files tools
%defattr(-,root,root)
%{_bindir}/idle%{binsuffix}
%{_libdir}/python%{libvers}/idlelib
%{_libdir}/python%{libvers}/Tools

%files tkinter
%defattr(-,root,root)
%{_libdir}/python%{libvers}/lib-tk
%{_libdir}/python%{libvers}/lib-dynload/_tkinter.so*

%files docs
%defattr(-,root,root)
%{docroot}/python%{binsuffix}
